{
  cluster-testing.modules = [
    (
      {
        pkgs,
        lib,
        ...
      }: {
        boot.kernelPatches = [
          {
            name = "eBPF-cilium";
            patch = null; # the following are for ebpf, which is required by cilium
            extraConfig = ''
              BPF y
              BPF_SYSCALL y
              NET_CLS_BPF y
              BPF_JIT y
              NET_CLS_ACT y
              NET_SCH_INGRESS y
              CRYPTO_SHA1 y
              CRYPTO_USER_API_HASH y
              CGROUPS y
              CGROUP_BPF y
              PERF_EVENTS y
              SCHEDSTATS y
            '';
          }
        ];
      }
    )
  ];
}
